Ubuntu

Adding ACLs to /media/$user does not work

Reported by Dario Ruellan on 2012-09-09
316
This bug affects 69 people
Affects Status Importance Assigned to Milestone
udisks
Invalid
Undecided
Unassigned
gnome-settings-daemon (Ubuntu)
Undecided
Unassigned
udisks2 (Ubuntu)
High
Martin Pitt
Quantal
Undecided
Unassigned

Bug Description

Hewlett-Packard HP Envy 14 1095la
https://wiki.ubuntu.com/druellan/hpenvy1095la

I get an error message -Adding read ACL for uid 999 to `/media/ubuntu' failed: Operation not supported- every time I try to insert a mountable media (CD/DVD/SD card/Pendrive/USB drive).

What I expect:
Media mounted and visible on Nautilus

What I get:
An error message, sometimes twice.

Note: I'm using a live USB created with UNETBOOTIN, using 700mb of session space.

Patch: http://anonscm.debian.org/gitweb/?p=pkg-utopia/udisks2.git;a=commitdiff;h=3dfc41a31

Regression potential: No behaviour change on systems where ACLs work on the root file system. On systems where it does not work, hardly none as mounting through udisks is broken right now.

SRU TEST CASE:
- Create a non-ACL capable overlay on /media:
  sudo modprobe scsi_debug
  # now find out which drive this created, check in dmesg; assuming /dev/sdb
  sudo mkfs.ext3 /dev/sdb
  sudo mount -o noacl /dev/sdb /media/

- Now plug in an USB stick; in Quantal's version you will get an error message about failed ACL setting; in the proposed version it will be properly automounted

- Clean up: Remove the stick, "sudo umount /dev/sdb", and "sudo rmmod scsi_debug"

ProblemType: Bug
DistroRelease: Ubuntu 12.10
Package: linux-image-3.5.0-13-generic 3.5.0-13.14
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic i686
AcpiTables: Error: command ['pkexec', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 127: Error executing /usr/share/apport/dump_acpi_tables.py: Permission denied
ApportVersion: 2.5.1-0ubuntu4
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ubuntu 4457 F.... pulseaudio
 /dev/snd/controlC0: ubuntu 4457 F.... pulseaudio
CasperVersion: 1.321
CheckboxCommand: removable_storage_watcher insert usb
CheckboxTest: usb/insert
Date: Sat Sep 8 23:54:40 2012
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120905.2)
MachineType: Hewlett-Packard HP ENVY 14 Notebook PC
ProcEnviron:
 SHELL=/bin/bash
 PATH=(custom, no user)
 LANG=en_US.UTF-8
ProcFB:
 0 radeondrmfb
 1 inteldrmfb
ProcKernelCmdLine: initrd=/ubninit file=/cdrom/preseed/username.seed boot=casper quiet splash -- persistent BOOT_IMAGE=/ubnkern
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-13-generic N/A
 linux-backports-modules-3.5.0-13-generic N/A
 linux-firmware 1.91
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/01/2011
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: F.26
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 1436
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 59.24
dmi.chassis.asset.tag: CNU0250TQZ
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnHewlett-Packard:bvrF.26:bd12/01/2011:svnHewlett-Packard:pnHPENVY14NotebookPC:pvr0492100000241910000620000:rvnHewlett-Packard:rn1436:rvr59.24:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP ENVY 14 Notebook PC
dmi.product.version: 0492100000241910000620000
dmi.sys.vendor: Hewlett-Packard

Dario Ruellan (druellan) wrote :
Brad Figg (brad-figg) on 2012-09-09
Changed in linux (Ubuntu):
status: New → Confirmed
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu laptop testing tracker.

A list of all reports related to this bug can be found here:
http://laptop.qa.ubuntu.com/qatracker/reports/bugs/1048059

tags: added: laptop-testing
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.6 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.6-rc4-quantal/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Dario Ruellan (druellan) wrote :

Hi Joseph.
I've downloaded the 3.6-rc5-quantal kernel. The problem: I'm testing from a live USB and I'm not able to successfully install the kernel from the .deb files.
I have an external drive, but I'm currently testing Precise there and I'm not finished yet, so, I'm affraid I can't confirm the bug upstream in any way.

Perhaps I can download a daily build and test from there?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in udisks (Ubuntu):
status: New → Confirmed
Tpugliese (thomas-pugliese) wrote :

After upgrading from 12.04 to 12.10, I see that drives no longer will mount from the UI. It works if I boot using the daily liveCD from 9-19-12 so it may be an upgrade issue. Maybe the fs attributes of the partition where /media is located need to be updated when upgrading from previous versions?

Dario Ruellan (druellan) on 2012-09-26
tags: added: kernel-unable-to-test-upstream
axelsvag (darinsson) wrote :

I got exactly the same problem with live Ubuntu 12.10 beta 2. I use a CQ60 which works perfectly on live 12.04

Dario Ruellan (druellan) wrote :

@axelsvag that's odd, seems fixed form me on beta 2. Are you suing a live DVD or an USB?

bobbaluba (bobbaluba) wrote :

I have the same issue on beta 2 as well. I'm using a live usb

Eric Shattow (eshattow) wrote :

Do we need CONFIG_TMPFS_POSIX_ACL enabled in the kconfig?

Joseph Salisbury (jsalisbury) wrote :

@Eric Shattow,
CONFIG_TMPFS_POSIX_ACL is enabled in Quantal:
config.common.ubuntu:CONFIG_TMPFS_POSIX_ACL=y

Does this issue only happen when booting from the LiveCD? Does the issue go away if an actual install of Beta 2 is performed?

Download full text (3.5 KiB)

Is there any way to tell which build the installation/upgrade was done
from? I upgraded sometime around beta 2 but it may have been earlier
and I am seeing this issue.

On Tue, Oct 2, 2012 at 10:14 AM, Joseph Salisbury
<email address hidden> wrote:
> @Eric Shattow,
> CONFIG_TMPFS_POSIX_ACL is enabled in Quantal:
> config.common.ubuntu:CONFIG_TMPFS_POSIX_ACL=y
>
> Does this issue only happen when booting from the LiveCD? Does the
> issue go away if an actual install of Beta 2 is performed?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1048059
>
> Title:
> Unable to mount
>
> Status in “linux” package in Ubuntu:
> Incomplete
> Status in “udisks” package in Ubuntu:
> Confirmed
>
> Bug description:
> Hewlett-Packard HP Envy 14 1095la
> https://wiki.ubuntu.com/druellan/hpenvy1095la
>
> I get an error message -Adding read ACL for uid 999 to `/media/ubuntu'
> failed: Operation not supported- every time I try to insert a
> mountable media (CD/DVD/SD card/Pendrive/USB drive).
>
> What I expect:
> Media mounted and visible on Nautilus
>
> What I get:
> An error message, sometimes twice.
>
> Note: I'm using a live USB created with UNETBOOTIN, using 700mb of
> session space.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 12.10
> Package: linux-image-3.5.0-13-generic 3.5.0-13.14
> ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
> Uname: Linux 3.5.0-13-generic i686
> AcpiTables: Error: command ['pkexec', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 127: Error executing /usr/share/apport/dump_acpi_tables.py: Permission denied
> ApportVersion: 2.5.1-0ubuntu4
> Architecture: i386
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC1: ubuntu 4457 F.... pulseaudio
> /dev/snd/controlC0: ubuntu 4457 F.... pulseaudio
> CasperVersion: 1.321
> CheckboxCommand: removable_storage_watcher insert usb
> CheckboxTest: usb/insert
> Date: Sat Sep 8 23:54:40 2012
> LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120905.2)
> MachineType: Hewlett-Packard HP ENVY 14 Notebook PC
> ProcEnviron:
> SHELL=/bin/bash
> PATH=(custom, no user)
> LANG=en_US.UTF-8
> ProcFB:
> 0 radeondrmfb
> 1 inteldrmfb
> ProcKernelCmdLine: initrd=/ubninit file=/cdrom/preseed/username.seed boot=casper quiet splash -- persistent BOOT_IMAGE=/ubnkern
> RelatedPackageVersions:
> linux-restricted-modules-3.5.0-13-generic N/A
> linux-backports-modules-3.5.0-13-generic N/A
> linux-firmware 1.91
> SourcePackage: linux
> UpgradeStatus: No upgrade log present (probably fresh install)
> dmi.bios.date: 12/01/2011
> dmi.bios.vendor: Hewlett-Packard
> dmi.bios.version: F.26
> dmi.board.asset.tag: Base Board Asset Tag
> dmi.board.name: 1436
> dmi.board.vendor: Hewlett-Packard
> dmi.board.version: 59.24
> dmi.chassis.asset.tag: CNU0250TQZ
> dmi.chassis.type: 10
> dmi.chassis.vendor: Hewlett-Packard
> dmi.chassis.version: Chassis Version
> dmi.modalias: dmi:bvnHewlett-Packard:bvrF.26:bd12/01/2011:svnHewlett-Pa...

Read more...

@Joseph Salisbury just tested again, and the problem seems related to the media or the way the ISO is burned.
Beta1 live USB + persistent storage got the problem.
Beta2 live USB WITHOUT persistent storage worked just fine.
Beta2 live USB + persistent storage got the problem again.

Sadly, I can't test the installation but I' gonna try with a live DVD, to in case its related to the USB boot utility.

Eric Shattow (eshattow) wrote :

@Joseph Salisbury,
I do-release-upgrade'd from 12.04 to 12.10 and thereafter have not been able to mount:
"
Unable to mount XXXXXX
Adding read ACL for uid NNNN to `/media/username' failed: Operation not supported
"
... is the gnome style error message.

Sebastian Heutling (sheutlin) wrote :

I also upgraded from 12.04 to 12.10 (beta1 if I remeber correctly). In order to make mounting work I had to create a new folder in /media/ manually with my login/username as folder name. The only thing left is: What are the correct rights to set for /media/ and /media/<username>?
I might guess the folder is added automatically on new installs during "adduser" or something like that and is missing for upgrades?

Download full text (3.5 KiB)

Great , it works , justr creating a repository with your username !
Thanks

________________________________
 De : Sebastian Heutling <email address hidden>
À : <email address hidden>
Envoyé le : Samedi 6 octobre 2012 18h53
Objet : [Bug 1048059] Re: Unable to mount

I also upgraded from 12.04 to 12.10 (beta1 if I remeber correctly).  In order to make mounting work I had to create a new folder in /media/ manually with my login/username as folder name. The only thing left is: What are the correct rights to set for /media/ and /media/<username>?
I might guess the folder is added automatically on new installs during "adduser" or something like that and is missing for upgrades?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1048059

Title:
  Unable to mount

Status in “linux” package in Ubuntu:
  Incomplete
Status in “udisks” package in Ubuntu:
  Confirmed

Bug description:
  Hewlett-Packard HP Envy 14 1095la
  https://wiki.ubuntu.com/druellan/hpenvy1095la

  I get an error message -Adding read ACL for uid 999 to `/media/ubuntu'
  failed: Operation not supported- every time I try to insert a
  mountable media (CD/DVD/SD card/Pendrive/USB drive).

  What I expect:
  Media mounted and visible on Nautilus

  What I get:
  An error message, sometimes twice.

  Note: I'm using a live USB created with UNETBOOTIN, using 700mb of
  session space.

  ProblemType: Bug
  DistroRelease: Ubuntu 12.10
  Package: linux-image-3.5.0-13-generic 3.5.0-13.14
  ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
  Uname: Linux 3.5.0-13-generic i686
  AcpiTables: Error: command ['pkexec', '/usr/share/apport/dump_acpi_tables.py'] failed with exit code 127: Error executing /usr/share/apport/dump_acpi_tables.py: Permission denied
  ApportVersion: 2.5.1-0ubuntu4
  Architecture: i386
  AudioDevicesInUse:
  USER        PID ACCESS COMMAND
  /dev/snd/controlC1:  ubuntu    4457 F.... pulseaudio
  /dev/snd/controlC0:  ubuntu    4457 F.... pulseaudio
  CasperVersion: 1.321
  CheckboxCommand: removable_storage_watcher insert usb
  CheckboxTest: usb/insert
  Date: Sat Sep  8 23:54:40 2012
  LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha i386 (20120905.2)
  MachineType: Hewlett-Packard HP ENVY 14 Notebook PC
  ProcEnviron:
  SHELL=/bin/bash
  PATH=(custom, no user)
  LANG=en_US.UTF-8
  ProcFB:
  0 radeondrmfb
  1 inteldrmfb
  ProcKernelCmdLine: initrd=/ubninit file=/cdrom/preseed/username.seed boot=casper quiet splash -- persistent BOOT_IMAGE=/ubnkern
  RelatedPackageVersions:
  linux-restricted-modules-3.5.0-13-generic N/A
  linux-backports-modules-3.5.0-13-generic  N/A
  linux-firmware                            1.91
  SourcePackage: linux
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 12/01/2011
  dmi.bios.vendor: Hewlett-Packard
  dmi.bios.version: F.26
  dmi.board.asset.tag: Base Board Asset Tag
  dmi.board.name: 1436
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: 59.24
  dmi.chassis.asset.tag: CNU0250TQZ
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.chassis.version: Chassis Version
  dmi.modalias: dmi:bvnHewlett-Packard:bvrF...

Read more...

I could fix it by using the method sheutlin recommended:

# Add a folder
sudo mkdir /media/USERNAME

# assign the folder to my user
sudo chown USERNAME.USERNAME /media/USERNAME

Joseph Salisbury (jsalisbury) wrote :

This sounds like it could be an installer bug versus a kernel bug. I'll add a new task.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: ubiquity (Ubuntu) → gnome-settings-daemon (Ubuntu)
Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
Brian Murray (brian-murray) wrote :

The error message at least is provided by gnome-settings-daemon and it looks like g-s-d deals with automount too.

Martin Pitt (pitti) on 2012-10-11
summary: - Unable to mount
+ Adding ACLs to /media/$user does not work on live system
summary: - Adding ACLs to /media/$user does not work on live system
+ Adding ACLs to /media/$user does not work
Martin Pitt (pitti) wrote :

That error message is from udisks2, when it tries to set an ACL to the newly created /media/$user. What is the file system type of the partition that contains /media for you? If you are unsure, do "udisksctl dump > /tmp/udisks.txt" and attach /tmp/udisks.txt here.

affects: udisks (Ubuntu) → udisks2 (Ubuntu)
Changed in udisks2 (Ubuntu):
status: Confirmed → Incomplete
Dimitri John Ledkov (xnox) wrote :

I thought the auto mounting was disabled in the live session.

Dario Ruellan (druellan) wrote :

@Martin: Unetbootin uses ext2 for persistent storage

Brian Murray (brian-murray) wrote :

I am also affected by this bug, on an installed not live system, and the partition that contains /media on my system is ext3.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-settings-daemon (Ubuntu):
status: New → Confirmed
Martin Pitt (pitti) wrote :

Can you please try the following:

  sudo strace -fvvs1024 -o /tmp/udisks.trace /usr/lib/udisks2/udisksd --replace 2>&1 | tee /tmp/udisks.log

then reproduce the situation that leads to this error (i. e. until you get the error message) and then attach /tmp/udisks.log and /tmp/udisks.trace here? Thanks!

Changed in gnome-settings-daemon (Ubuntu):
status: Confirmed → Invalid
Dario Ruellan (druellan) wrote :
Dario Ruellan (druellan) wrote :
Dario Ruellan (druellan) wrote :

@Martin Done!
I've used a live USB and a SD card to trigger the error.

trying to mount an external disk partition in nautilus

trying to mount an external disk partition in nautilus

David Shochat (david-shochat) wrote :

I am having this same problem with a USB drive (vfat) which I have been using for some time as a backup disk. No problem until Ubuntu 12.10. Temporarily mounting it via /etc/fstab until a fix is found for this bug.

Changed in udisks2 (Ubuntu):
status: Incomplete → New
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in udisks2 (Ubuntu):
status: New → Confirmed
Paulo Rafael (paulojc-rafael) wrote :

Hi there.

the solution below provided by sheutlin worked for me.

Thank you.

Regards

I could fix it by using the method sheutlin recommended:

# Add a folder
sudo mkdir /media/USERNAME

# assign the folder to my user
sudo chown USERNAME.USERNAME /media/USERNAME

Thank you!

>> # Add a folder
>
> sudo mkdir /media/USERNAME
>
>
>> # assign the folder to my user
>
> sudo chown USERNAME.USERNAME /media/USERNAME
>
>
>
This worked perfectly.

James

*
 ----
“Patience is the companion of wisdom.”
- Saint Augustine
*

On Mon, Oct 22, 2012 at 5:56 PM, Paulo Rafael <email address hidden>wrote:

> Hi there.
>
> the solution below provided by sheutlin worked for me.
>
> Thank you.
>
> Regards
>
> I could fix it by using the method sheutlin recommended:
>
> # Add a folder
> sudo mkdir /media/USERNAME
>
> # assign the folder to my user
> sudo chown USERNAME.USERNAME /media/USERNAME
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1068965).
> https://bugs.launchpad.net/bugs/1048059
>
> Title:
> Adding ACLs to /media/$user does not work
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/1048059/+subscriptions
>

worked for me to

pntkrtr (espilopez) wrote :

I also upgraded from 12.04 to 12.10 and I had the same problem.

# Add a folder
sudo mkdir /media/USERNAME

# assign the folder to my user
sudo chown USERNAME.USERNAME /media/USERNAME

/media and other folders and directories are owned by root

/media/username is owned by username
 [drwxr-x--] User: username - Group: username

Worked for me to, thanks!

Making a folder in the name of my user account in /media and changing ownership to my acount, my group does not resolve this issue. Problem persists.

pntkrtr (espilopez) wrote :

I think the other folders in /media aren't useful because it also automatically created in /media/username, I tried it with a CD and is well. Will it be safe to delete all (/media/apt, /media/hdd, /media/cdrom, /media/cdrom0) except username forder? There aren't in /etc/fstab

Luca Fatichenti (fatiluk) wrote :

I have the same problem: ubuntu in sd card in live mode cant' mount the hard disk. Pleas fix this bug! Thanx!!

David Shochat (david-shochat) wrote :

I just tried the workaround suggested by Sebastian Heutling (on 2012-10-06) and others, of creating a directory whose name is my username in /media, and this worked for me too. Now mounts of removable media show up under that subdirectory instead of directly under /media. Is this the new normal behavior for 12.10? If so, then the upgrade processing should obviously create this subdirectory for all current users. But I just tried creating a brand new account and no subdirectory of /media for that username was created. So now I don't know what to think.

Nathan Heafner (nathan1465-5) wrote :

im unable to copy files from my digital camera to the computer. issues also with mounting and unmounting the device

Nathan Heafner (nathan1465-5) wrote :

Making a folder in the name of my user account in /media and changing ownership to my acount, my group does not resolve this issue. Problem persists.

Nathan Heafner (nathan1465-5) wrote :

error after making the new directory in media/username is

"Error in stream protocol: Error writing to file descriptor: Broken pipe"

Changed in udisks2 (Ubuntu):
importance: Undecided → High
assignee: nobody → Martin Pitt (pitti)
Molly (mbenedum) wrote :

I can confirm this error on a fully installed (not Live CD) 12.10. I have a media reader that I keep an 8gb SD card in for media storage that was always recognized and automatically mounted in 12.04.
I attempted the fix that worked for several others of:
# Add a folder
sudo mkdir /media/USERNAME

# assign the folder to my user
sudo chown USERNAME.USERNAME /media/USERNAME

This did not work for me. I am still receiving the following error:
"Adding read ACL for uid 1000 to `/media/molly' failed: Operation not supported"

I am unsure of how to use fstab to correct, so I have not attempted that fix.

David Shochat (david-shochat) wrote :

Molly, You do understand that the directory to be created under /media should be named molly in your case (i.e., sudo mkdir /media/molly), right? Not "USERNAME" literally.
Also, I noticed on my laptop, which does not have this bug, the directory (/media/david in my case) did not exist initially, but was created automatically the first time I plugged in a USB storage device after upgrading to 12.10. Also, it is owned by root, so maybe the instruction to chown it is unnecessary.
-- David

christian (chmathieu) wrote :

Hello.

Same problem with 13.04:
- 13.04 being tested on a USB key
- impossible to mount my hard disk / sda . . . .

--Christian

Jan Claeys (janc) wrote :

Just creating the /media/$USER directory manually was enough for me, I did not need to chown it.

'/media' is on an ext3 for me

And this system was originally installed with Ubuntu 7.10, and has been upgraded to every version since (so, there might be leftovers like different permissions from that), and was upgraded from 12.04 to 12.10 today, after which the issue showed up.

Jan Claeys (janc) wrote :

So I did have a look at the source of udisks2 (this is in 'udiskslinuxfilesystem.c') and the reason for why this happens as it does is obvious (the reason WHY the code does it like this is less obvious to me though...).

If '/media/$USER' does not exist, Udisks 2 checks if '/media' exists and if not creates it, then it creates '/media/$USER' and if that succeeds, it tries to set the ACL. If setting the ACL fails, you get the error from this bug report, and the directory is removed again.

Now, if '/media/$USER' does exist, Udisks does not check or try to set the ACL, so then you get no error.

My '/' and thus also '/media' are not mounted with ACL support enabled, so that's why it fails to set the ACL (and why the directory it created gets removed again).

BTW: I'm not sure why the ACL is needed, as everything seems to work without it.
And I understand even less why they don't check if the ACLs are there in case the directory already exists? (Do they assume '/media' is always a tmpfs? What if there is a user named 'cdrom' or the like?)

John Sage (jsage-c) wrote :

Just FYI this bug is still in a 12.10 distro update done as recently as 48 hours ago through Update Manager.

This was a distro update to a "Ubuntu Studio" install of great vintage.

A USB card reader with a CF card inserted would appear in Nautilus but clicking on the card generated the "Adding read ACL for UID ..." error.

As per above saying 'sudo mkdir $USER' in /media/ (and for good measure saying 'chmod go+w ./$USER') solved the problem.

ssebr (sbkwi) wrote :

The workaround with adding a subdirectory with the username worked for me as well, but there is another method that works too:
After adding the line

tmpfs /media tmpfs defaults 0 0

to /etc/fstab and rebooting (or 'sudo mount -a'), the user directory below /media is automaticalliy created and USB sticks etc. are properly mounted.

Yann Aubert (yann-aubert-ipno) wrote :

It seems that udisks2 sets unconditionnally ACLs and exits if it fails. So, udisks2 doesnt' work if the root filesystem doesn't support ACLs. Which is the case, by default for ext3. You can add acl support in your mount options in /etc/fstab, if you are using ext3 on your root filesystem :

/dev/xxxx / ext3 acl,errors=remount-ro 0 1

Someone has made a patch which tests ACLs availability before issuing ACL commands : http://www.spinics.net/lists/hotplug/msg05612.html

David Shochat (david-shochat) wrote :

I wonder if all those encountering this bug have ext3 or older. My desktop system with the bug has ext3 and my (newer) laptop which does not is using ext4. Does ext4 have ACLs enabled by default?

Tomdkat (tomdkat) wrote :

I just ran into this problem trying to mount a SD card. ALL of my filesystems, except for one, are ext3. One is ext4. My root filesystem is ext3.

So, two of the above workarounds look better to me than manually creating /media/$USER. Which would be best:

A) Adding 'tmpfs /media tmpfs defaults 0 0' to /etc/fstab

B) Adding '/dev/xxxx / ext3 acl,errors=remount-ro 0 1; tp /etc/fstab

Thanks!

ssebr (sbkwi) wrote :

It seems that mostly systems with ext3 root file systems (like mine) are affected, so the correct fix should be adding acl support like Yann Aubert suggested.

Martin Pitt (pitti) wrote :

Ubuntu kernels do enable ACLs by default for ext2 and ext3 as well. I still have absolutely no clue what's wrong on your systems. Is it possible that anyone who is affected can allow me temporary SSH access to their computer? I need an account which can sudo, but I don't need to permanently modify anything. Please use the second key in https://launchpad.net/~pitti/+sshkeys .

Dario Ruellan (druellan) wrote :

Martin, I can reproduce the bug creating a live USB of 12.10 using UNetbootin, and an ammount of persistent storage (check https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1048059/comments/14), perhaps can be useful.

Shane Pearson (bocephus) wrote :

Hello Martin,

Yes, you can have temp SSH access on my netbook. I'm just having issues
with the ssh-rsa thing. Keep getting "command not found". I'll look
into it, but you are welcome to use my computer to see what's up.

Thank you,
Shane

On 11/19/2012 11:54 AM, Martin Pitt wrote:
> Ubuntu kernels do enable ACLs by default for ext2 and ext3 as well. I
> still have absolutely no clue what's wrong on your systems. Is it
> possible that anyone who is affected can allow me temporary SSH access
> to their computer? I need an account which can sudo, but I don't need to
> permanently modify anything. Please use the second key in
> https://launchpad.net/~pitti/+sshkeys .
>

Martin Pitt (pitti) wrote :

Shane Pearson [2012-11-19 18:23 -0000]:
> Yes, you can have temp SSH access on my netbook. I'm just having issues
> with the ssh-rsa thing.

Oh, that's not a command. Create an user account for me (e. g.
"pitti"), and copy the contents of
https://launchpad.net/~pitti/+sshkeys into
/home/pitti/.ssh/authorized_keys, then I will be able to log in. As I
will need sudo to run udisks, please set some password for me and
create a /home/pitti/password.txt with the password so that I can see
it once I'm logged in.

For the record, I might have to install a couple of packages
(udisks2's build dependencies) to build udisks2 until it's fixed. I
will remove them after I'm done.

Thanks!

ext3 root fs for me

Shane Pearson (bocephus) wrote :

Hey Martin,

OK, I did it. For whatever reason I couldn't get wifi with your account
so I logged back out and into mine and I have net. Well, I've have wifi
issues since 11.10

You are welcome to install whatever and do whatever. Just when I think
I'm Ubuntu savvy, something comes along to let me know that I'm not.

So I'm a bit lost on how you connect to my netbook. But it's all set up.
Just let me know what other info you need.
Thanks again,
Shane

On 11/20/2012 06:54 AM, Martin Pitt wrote:
> Shane Pearson [2012-11-19 18:23 -0000]:
>> Yes, you can have temp SSH access on my netbook. I'm just having issues
>> with the ssh-rsa thing.
>
> Oh, that's not a command. Create an user account for me (e. g.
> "pitti"), and copy the contents of
> https://launchpad.net/~pitti/+sshkeys into
> /home/pitti/.ssh/authorized_keys, then I will be able to log in. As I
> will need sudo to run udisks, please set some password for me and
> create a /home/pitti/password.txt with the password so that I can see
> it once I'm logged in.
>
> For the record, I might have to install a couple of packages
> (udisks2's build dependencies) to build udisks2 until it's fixed. I
> will remove them after I'm done.
>
> Thanks!
>

Martin Pitt (pitti) wrote :

Shane Pearson [2012-11-20 18:03 -0000]:
> OK, I did it. For whatever reason I couldn't get wifi with your account
> so I logged back out and into mine and I have net. Well, I've have wifi
> issues since 11.10

Sounds like you are using a per-user WiFi connection, not a
system-wide one. You can toggle between the two in the "Edit
connections.." menu in the network indicator.

> So I'm a bit lost on how you connect to my netbook. But it's all set up.
> Just let me know what other info you need.

You need to install openssh-server, open the port 22 in your router
for forwarding, and tell me your public IP address, so that I can ssh
in.

Jan Claeys (janc) wrote :

@Martin Pitt:
Even if ACL support is included in the kernel, it is not necessarily enabled by default when mounting.
You need to add the mount option in /etc/fstab or use "tune2fs -o acl" on the partition to have ACL support enabled by default.

I don't know if the Ubuntu installers always added 'acl' as a default mount option for the root partition, but even if it did, there is always the fact that people can have used other programs (e.g. GParted, or another linux system) to partition their hard disk(s), so there is no guarantee that ACLs are enabled on every filesystem by default.

IMO udisks should not fail on filesystems that don't have ACLs enabled (it works just fine without ACLs, except for this bug where it sets the ACL without properly checking support for it).

My fstab doesn't have the acl option set, and I don't recall the acl option ever being there before. I installed this machine years ago from 9.04. Would the 9.04 installer have set that option? If not, perhaps that explains the problem.

Shane Pearson (bocephus) wrote :

Hey Martin,

SSH server is running.. 192.168.1.5 is the ip..

I'm sure I'm missing something so let me know what I'm forgetting
Thanks

On 11/21/2012 07:45 AM, Martin Pitt wrote:
> Shane Pearson [2012-11-20 18:03 -0000]:
>> OK, I did it. For whatever reason I couldn't get wifi with your account
>> so I logged back out and into mine and I have net. Well, I've have wifi
>> issues since 11.10
>
> Sounds like you are using a per-user WiFi connection, not a
> system-wide one. You can toggle between the two in the "Edit
> connections.." menu in the network indicator.
>
>> So I'm a bit lost on how you connect to my netbook. But it's all set up.
>> Just let me know what other info you need.
>
> You need to install openssh-server, open the port 22 in your router
> for forwarding, and tell me your public IP address, so that I can ssh
> in.
>

@ Shane,

192.168.1.5 is a private IP address. Try http://whatismyipaddress.com/

Oddly enough, for some reason my /media/$user folder disappeared and I
had to apply the fix again.

I'm only having problems with this Gateway NV53. Using the same install
medium, my IBM Thinkpad r32 and Compaq Evo n610c are not having these
issues.

I have tried creating a new Live USB with Linux Live USB Creator.
(Differences this time around, No persistence file, and x64 instead of
x86. Issue persists.)

All systems formatted in EXT2.

Prior to installing with Ubiquity, disk was partitioned with gparted.
Selected "Something Else" during install and used my gparted
partitioning / formatting scheme.

On 11/21/2012 12:02 PM, Shane Pearson wrote:
> Hey Martin,
>
> SSH server is running.. 192.168.1.5 is the ip..
>
> I'm sure I'm missing something so let me know what I'm forgetting
> Thanks
>
>

Martin Pitt (pitti) wrote :

The ubuntu installer never put the "acl" option into /etc/fstab. On my quantal-installed system I have no such option:

$ grep acl /proc/mounts /etc/fstab
$

I don't see any tune2fs in our installers either. So what I suspect is that mkfs enables the option by default these days, but hasn't in the past?

My /home file system was created in August 2010, and I get

$ sudo dumpe2fs -h /dev/sda5 | grep 'mount options'
Default mount options: (none)

while my root partition (which I recreate with every install) has

Default mount options: user_xattr acl

On both file systems I can use ACLs, so the implicit default if the file system does not specify an explicit one seems to work correctly. Can people who are affected by this please run above command on their root file system? (That's the kind of debugging and comparison I would like to do with SSH access...)

As a last resort I can still make udisks get along without ACL support, but this would be a bad and incomplete workaround for the root problem. There's certainly other software which wants ACLs to work, so I'd like to get this fixed properly rather.

sudo dumpe2fs -h /dev/sda1 | grep 'mount options'
dumpe2fs 1.42.5 (29-Jul-2012)
Default mount options: (none)

On 11/21/2012 10:02 PM, Martin Pitt wrote:
> The ubuntu installer never put the "acl" option into /etc/fstab. On my
> quantal-installed system I have no such option:
>
> $ grep acl /proc/mounts /etc/fstab
> $
>
> I don't see any tune2fs in our installers either. So what I suspect is
> that mkfs enables the option by default these days, but hasn't in the
> past?
>
> My /home file system was created in August 2010, and I get
>
> $ sudo dumpe2fs -h /dev/sda5 | grep 'mount options'
> Default mount options: (none)
>
> while my root partition (which I recreate with every install) has
>
> Default mount options: user_xattr acl
>
> On both file systems I can use ACLs, so the implicit default if the file
> system does not specify an explicit one seems to work correctly. Can
> people who are affected by this please run above command on their root
> file system? (That's the kind of debugging and comparison I would like
> to do with SSH access...)
>
> As a last resort I can still make udisks get along without ACL support,
> but this would be a bad and incomplete workaround for the root problem.
> There's certainly other software which wants ACLs to work, so I'd like
> to get this fixed properly rather.
>

Shane Pearson (bocephus) wrote :

Thanks Jerri,

OK, Martin, my ip is 92.84.2.179

Thank you all for your patience. he he

On 11/21/2012 11:37 PM, Jerre Domitilli wrote:
> @ Shane,
>
> 192.168.1.5 is a private IP address. Try http://whatismyipaddress.com/
>
> Oddly enough, for some reason my /media/$user folder disappeared and I
> had to apply the fix again.
>
> I'm only having problems with this Gateway NV53. Using the same install
> medium, my IBM Thinkpad r32 and Compaq Evo n610c are not having these
> issues.
>
> I have tried creating a new Live USB with Linux Live USB Creator.
> (Differences this time around, No persistence file, and x64 instead of
> x86. Issue persists.)
>
> All systems formatted in EXT2.
>
> Prior to installing with Ubiquity, disk was partitioned with gparted.
> Selected "Something Else" during install and used my gparted
> partitioning / formatting scheme.
>
> On 11/21/2012 12:02 PM, Shane Pearson wrote:
>> Hey Martin,
>>
>> SSH server is running.. 192.168.1.5 is the ip..
>>
>> I'm sure I'm missing something so let me know what I'm forgetting
>> Thanks
>>
>>
>

Shane Pearson (bocephus) wrote :

My system is ext3
This just run from /

$ sudo dumpe2fs -h /dev/sda5 | grep 'mount options'

dumpe2fs 1.42.5 (29-Jul-2012)
Default mount options: (none)

On 11/22/2012 08:24 AM, Jerre Domitilli wrote:
> sudo dumpe2fs -h /dev/sda1 | grep 'mount options'
> dumpe2fs 1.42.5 (29-Jul-2012)
> Default mount options: (none)
>
>
>
> On 11/21/2012 10:02 PM, Martin Pitt wrote:
>> The ubuntu installer never put the "acl" option into /etc/fstab. On my
>> quantal-installed system I have no such option:
>>
>> $ grep acl /proc/mounts /etc/fstab
>> $
>>
>> I don't see any tune2fs in our installers either. So what I suspect is
>> that mkfs enables the option by default these days, but hasn't in the
>> past?
>>
>> My /home file system was created in August 2010, and I get
>>
>> $ sudo dumpe2fs -h /dev/sda5 | grep 'mount options'
>> Default mount options: (none)
>>
>> while my root partition (which I recreate with every install) has
>>
>> Default mount options: user_xattr acl
>>
>> On both file systems I can use ACLs, so the implicit default if the file
>> system does not specify an explicit one seems to work correctly. Can
>> people who are affected by this please run above command on their root
>> file system? (That's the kind of debugging and comparison I would like
>> to do with SSH access...)
>>
>> As a last resort I can still make udisks get along without ACL support,
>> but this would be a bad and incomplete workaround for the root problem.
>> There's certainly other software which wants ACLs to work, so I'd like
>> to get this fixed properly rather.
>>
>

Martin Pitt (pitti) wrote :

Shane Pearson [2012-11-22 6:33 -0000]:
> OK, Martin, my ip is 92.84.2.179

That doesn't seem to work, it can't connect. You might need to open
port 22 in your router or so.

But Jerre gave me ssh access, so I can start on his box.

Thanks!

Martin
--
Martin Pitt | http://www.piware.de
Ubuntu Developer (www.ubuntu.com) | Debian Developer (www.debian.org)

Martin Pitt (pitti) wrote :

I'm logged into Jerre's box now, and this is what I can find out without root privileges:

- I confirm that ACLs are broken:

$ touch test.txt
$ getfacl test.txt
# file: test.txt
# owner: mpitt
# group: mpitt
user::rw-
group::rw-
other::r--
$ setfacl -m u:nv:r test.txt
setfacl: test.txt: Operation not supported

No special mount options for root file system:
/dev/sda1 / ext2 rw,relatime,errors=remount-ro 0 0

However, it is unusual to actually use ext2. Jerre mentioned that in an earlier comment.

I can create a new ext2 partition here with working ACLs. Even when I do

  sudo tune2fs -E mount_opts="noacl" /dev/sdb

on my local test partition, dumpe2fs doesn't change the default mount options, but has a new fiield "Mount options", which isn't being considered. That smells like another bug, but is not quite related to this change.

Jerre is using the -lowlatency kernel, but as far as I can see, ACL support is enabled there for all relevant file systems (grep FS.*ACL /boot/config-3.5.0-18-lowlatency).

For more experiments I need to be able to load scsi_debug and/or do loop mounts for further testing, and thus need sudo privileges.

Shane Pearson (bocephus) wrote :

Sorry Martin,

Not too familiar with this Romtelecom router by Huawei. Firewall is off
and filtering is off. But I can't find options for ports.

I'm now getting errors accessing websites.. But my iPod Touch is
connecting fine. My ipod is showing the same ip so I'm gonna shut it
off, restart the router, and restart my computer.

This is the the top part of netstat -l:

Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address Foreign Address
State
tcp 0 0 localhost:ipp *:*
LISTEN
tcp 0 0 *:smtp *:*
LISTEN
tcp 0 0 *:17500 *:*
LISTEN
tcp 0 0 Bocephus:domain *:*
LISTEN
tcp 0 0 *:ssh *:* LISTEN

On 11/22/2012 09:59 AM, Martin Pitt wrote:
> Shane Pearson [2012-11-22 6:33 -0000]:
>> OK, Martin, my ip is 92.84.2.179
>
> That doesn't seem to work, it can't connect. You might need to open
> port 22 in your router or so.
>
> But Jerre gave me ssh access, so I can start on his box.
>
> Thanks!
>
> Martin
>

Shane Pearson (bocephus) wrote :

Martin,

I turned off wifi and I'm connected to the router with a network cable.
 Wifi has been slow since 11.10 :-/

The ip address is: 92.85.210.155

On 11/22/2012 10:12 AM, Martin Pitt wrote:
> I'm logged into Jerre's box now, and this is what I can find out without
> root privileges:
>
> - I confirm that ACLs are broken:
>
> $ touch test.txt
> $ getfacl test.txt
> # file: test.txt
> # owner: mpitt
> # group: mpitt
> user::rw-
> group::rw-
> other::r--
> $ setfacl -m u:nv:r test.txt
> setfacl: test.txt: Operation not supported
>
> No special mount options for root file system:
> /dev/sda1 / ext2 rw,relatime,errors=remount-ro 0 0
>
> However, it is unusual to actually use ext2. Jerre mentioned that in an
> earlier comment.
>
> I can create a new ext2 partition here with working ACLs. Even when I do
>
> sudo tune2fs -E mount_opts="noacl" /dev/sdb
>
> on my local test partition, dumpe2fs doesn't change the default mount
> options, but has a new fiield "Mount options", which isn't being
> considered. That smells like another bug, but is not quite related to
> this change.
>
> Jerre is using the -lowlatency kernel, but as far as I can see, ACL
> support is enabled there for all relevant file systems (grep FS.*ACL
> /boot/config-3.5.0-18-lowlatency).
>
> For more experiments I need to be able to load scsi_debug and/or do loop
> mounts for further testing, and thus need sudo privileges.
>

ext3 root fs:

$ sudo dumpe2fs -h /dev/sda1 | grep -E 'mount options|created'
dumpe2fs 1.42.5 (29-Jul-2012)
Default mount options: (none)
Filesystem created: Thu Sep 17 21:56:42 2009

ext4 homedir:

$ sudo dumpe2fs -h /dev/md0 | grep -E 'mount options|created'
dumpe2fs 1.42.5 (29-Jul-2012)
Default mount options: (none)
Filesystem created: Mon Jan 3 14:13:17 2011

ACLs are broken on ext3 root fs:

$ touch /tmp/test.txt
$ getfacl /tmp/test.txt
getfacl: Removing leading '/' from absolute path names
# file: tmp/test.txt
# owner: tristan
# group: tristan
user::rw-
group::rw-
other::r--

$ setfacl -m u:tristan:r /tmp/test.txt
setfacl: /tmp/test.txt: Operation not supported
$

But working on ext4 homedir:

$ touch ~/test.txt
$ getfacl ~/test.txt
getfacl: Removing leading '/' from absolute path names
# file: home/tristan/test.txt
# owner: tristan
# group: tristan
user::rw-
group::rw-
other::r--

$ setfacl -m u:tristan:r ~/test.txt
$ echo $?
0
$

Jan Claeys (janc) wrote :

@Martin Pitt:
Mounting as ext4 enables acl by default, but mounting as ext3 doesn't (see the linux kernel documentation).

My system was installed in November 2007, long before ext4 was stable (December 2008), so naturally '/' is formatted as ext3. I suppose other people have older filesystems too, or they chose not to use ext4 for some other reason.

Jan Claeys (janc) wrote :

From the ext3 documentation:
> acl Enables POSIX Access Control Lists support.
> Additionally, you need to have ACL support enabled in
> the kernel configuration (CONFIG_EXT3_FS_POSIX_ACL).
> See the acl(5) manual page and http://acl.bestbits.at/
> for more information.

From the ext4 documentation:
> noacl This option disables POSIX Access Control List
> support. If ACL support is enabled in the kernel
> configuration (CONFIG_EXT4_FS_POSIX_ACL), ACL is
> enabled by default on mount. See the acl(5) manual
> page and http://acl.bestbits.at/ for more information
> about acl.

Jan Claeys (janc) wrote :

@Martin Pitt:
> As a last resort I can still make udisks get along without ACL support,
> but this would be a bad and incomplete workaround for the root problem.
> There's certainly other software which wants ACLs to work, so I'd like to
> get this fixed properly rather.

Most applications don't need ACL support, and even udisks2 only seems to "need" it to set the ACL when creating that directory, but seems to work fine otherwise if the directory is created manually without the ACL.
(It is also the only location in the udisks2 sources where any ACL-functions are used.)

Maybe the ACL is needed on the distro/system of the upstream developer, but he never tested this code on other systems/distros? Maybe it's related to systemd or selinux? (Or maybe there are some circumstances that need the ACL that are not applicable to my system?)

Martin Pitt (pitti) wrote :

Thanks Jan for pointing these out. That's a little worrying as this essentially means that programs can't use ACLs. But at least we now know the root cause, so let's make udisks resistant to that.

For the record, this is another consequence of not using /run/media/. At some point I'd like to move to a tmpfs /media (with a symlink, bind mount, etc.), but of course not for a Quantal update.

affects: linux → udisks
Changed in udisks2 (Ubuntu):
status: Confirmed → In Progress
Martin Pitt (pitti) wrote :

> Mounting as ext4 enables acl by default, but mounting as ext3 doesn't (see the linux kernel documentation).

For the record, I cannot reproduce this as I already said in my earlier comment when I tried it with ext2:

sudo modprobe scsi_debug
sudo mkfs.ext3 /dev/sdb
sudo mount /dev/sdb /media/
sudo touch /media/test.txt
sudo setfacl -m u:www-data:r /media/test.txt

This all works, and I correctly get
$ sudo getfacl /media/test.txt
user::rw-
user:www-data:r--
[...]

Martin Pitt (pitti) wrote :

Uploaded fix to Debian experimental, will sync once it's imported into Launchpad.

Changed in udisks2 (Ubuntu):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Quantal SRU uploaded, needs SRU review now.

description: updated
Changed in udisks2 (Ubuntu Quantal):
status: New → In Progress
no longer affects: linux (Ubuntu Quantal)
no longer affects: linux (Ubuntu)
no longer affects: gnome-settings-daemon (Ubuntu Quantal)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udisks2 - 2.0.0-3

---------------
udisks2 (2.0.0-3) experimental; urgency=low

  * Add unsupported_acls.patch: Some file systems, such as ext2/ext3 that were
    created a few years ago, do not support ACLs. As long as we do not have
    /media on a tmpfs, ignore failures to set the ACL on /media/<user> and
    fall back to chowning the directory to the target user. (LP: #1048059)

 -- Martin Pitt <email address hidden> Fri, 23 Nov 2012 07:31:03 +0100

Changed in udisks2 (Ubuntu):
status: Fix Committed → Fix Released

Hello Dario, or anyone else affected,

Accepted udisks2 into quantal-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/udisks2/2.0.0-1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in udisks2 (Ubuntu Quantal):
status: In Progress → Fix Committed
tags: added: verification-needed
Dario Ruellan (druellan) wrote :

Thanks Brian. Great news.

I first reported the problem using an ext2 filesystem as persistent storage on a Live USB installation. So, I'm going to try reproduce the environment and then install the proposed package.

Lets see if other users can test it on an upgrade scenario, since my own 12.10 installation worked just fine.

Brian Murray (brian-murray) wrote :

I was affected by this bug and after installing udisks2 version 2.0.0-1ubuntu1 from quantal-proposed I no longer receive an error message regarding ACLs and automounting of my devices works.

tags: added: verification-done
removed: verification-needed

Just so you know: before udisks2 version 2.0.0-1ubuntu1, I could not mount DVD's due to the ACL problem. After installing udisks2 version 2.0.0-1ubuntu1, DVD mounting works.

Also, thanks for fixing this!

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udisks2 - 2.0.0-1ubuntu1

---------------
udisks2 (2.0.0-1ubuntu1) quantal-proposed; urgency=low

  * Add unsupported_acls.patch: Some file systems, such as ext2/ext3 that were
    created a few years ago, do not support ACLs. As long as we do not have
    /media on a tmpfs, ignore failures to set the ACL on /media/<user> and
    fall back to chowning the directory to the target user. (LP: #1048059)
 -- Martin Pitt <email address hidden> Fri, 23 Nov 2012 08:42:37 +0100

Changed in udisks2 (Ubuntu Quantal):
status: Fix Committed → Fix Released
Dylan Ring (cymruring) on 2013-01-12
Changed in udisks2 (Ubuntu):
assignee: Martin Pitt (pitti) → nobody
Martin Pitt (pitti) on 2013-01-12
Changed in udisks2 (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Changed in udisks:
status: New → Invalid
basiphobe (basiphobe) wrote :

FWIW, I am still experiencing this bug under Ubuntu 13.04, with all updates applied (as of 2013-06-12). This is a full install, not a live install. Changing ownership of /media/$username from root to $username solves the problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers